Bug 23198 - [18.11] Wrong icons/paths in 18.11 for self check modules
Summary: [18.11] Wrong icons/paths in 18.11 for self check modules
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: 18.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 19:47 UTC by Nick Clemens
Modified: 2019-07-04 06:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
18.11.08


Attachments
Bug 23198: Wrong icons/paths in 18.11 for self check modules (3.82 KB, patch)
2019-06-25 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23198: Wrong icons/paths in 18.11 for self check modules (3.90 KB, patch)
2019-06-28 15:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23198: Wrong icons/paths in 18.11 for self check modules (3.94 KB, patch)
2019-07-01 21:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-24 19:47:00 UTC
It looks like some icons were updated during SCSS changes, and some paths adjusted, these were not updated for 18.11 selfcheck modules (in/out)

To recreate:
1 - Load the SCO modules
2 - Open developer tab in browser (Press F12)
3 - Go to Network tab
4 - Note help.png has a 404
5 - Sign in to SCO as a patron - note stop.png also doesn't load
6 - Test for similar issues in SCI
Comment 1 Owen Leonard 2019-06-25 13:44:16 UTC
Created attachment 90998 [details] [review]
Bug 23198: Wrong icons/paths in 18.11 for self check modules

This patch amends the CSS in self checkout and self check-in modules so
that paths to icon images are correct.

To test, apply the patch and make sure the WebBasedSelfCheck and
SelfCheckInModule preferences are enabled.

In self-checkout and self-check-in, confirm that the following icons
appear correctly:

 - "Help" (?) icon in the upper right.
 - "Finish" (stop sign) icon -- Shown to logged-in self checkout users
   from the start. Shown to self-check-in users after they check in an
   item.
 - "Cancel" (X) icon -- Shown for instance when you try to check out an
   item which is already checked out to you and can be renewed.
   - Also in this dialog: "Return" (Book with arrow) and "Renew"
    (refresh icon).
Comment 2 Kyle M Hall 2019-06-28 15:18:24 UTC
Created attachment 91101 [details] [review]
Bug 23198: Wrong icons/paths in 18.11 for self check modules

This patch amends the CSS in self checkout and self check-in modules so
that paths to icon images are correct.

To test, apply the patch and make sure the WebBasedSelfCheck and
SelfCheckInModule preferences are enabled.

In self-checkout and self-check-in, confirm that the following icons
appear correctly:

 - "Help" (?) icon in the upper right.
 - "Finish" (stop sign) icon -- Shown to logged-in self checkout users
   from the start. Shown to self-check-in users after they check in an
   item.
 - "Cancel" (X) icon -- Shown for instance when you try to check out an
   item which is already checked out to you and can be renewed.
   - Also in this dialog: "Return" (Book with arrow) and "Renew"
    (refresh icon).

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Katrin Fischer 2019-07-01 21:04:01 UTC
Created attachment 91169 [details] [review]
Bug 23198: Wrong icons/paths in 18.11 for self check modules

This patch amends the CSS in self checkout and self check-in modules so
that paths to icon images are correct.

To test, apply the patch and make sure the WebBasedSelfCheck and
SelfCheckInModule preferences are enabled.

In self-checkout and self-check-in, confirm that the following icons
appear correctly:

 - "Help" (?) icon in the upper right.
 - "Finish" (stop sign) icon -- Shown to logged-in self checkout users
   from the start. Shown to self-check-in users after they check in an
   item.
 - "Cancel" (X) icon -- Shown for instance when you try to check out an
   item which is already checked out to you and can be renewed.
   - Also in this dialog: "Return" (Book with arrow) and "Renew"
    (refresh icon).

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Lucas Gass 2019-07-03 17:40:39 UTC
pushed to 18.11.x for 18.11.08